Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TForSqlNode

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TForSqlNode

All Implemented Interfaces:
  Visitable

    public class TForSqlNode

extends TParseTreeNode

Constructor Summary
`TForSqlNode()`

Method Summary
`TObjectName` | `getCursorName()`
`TObjectName` | `getLoopName()`
`TSelectSqlNode` | `getSelectNode()`
`TStatementListSqlNode` | `getStmtListNode()`
`void` | `init(java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)`
`void` | `setCursorName(TObjectName cursorName)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TForSqlNode

    public TForSqlNode()

Method Detail

### setCursorName

    public void setCursorName(TObjectName cursorName)

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2,
                     java.lang.Object arg3)

  Overrides:
    `init` in class `TParseTreeNode`

### getCursorName

    public TObjectName getCursorName()

### getLoopName

    public TObjectName getLoopName()

### getSelectNode

    public TSelectSqlNode getSelectNode()

### getStmtListNode

    public TStatementListSqlNode getStmtListNode()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD